{% extends "virtualcontests/base.html" %}
{% block virtualcontestlink %}
{% endblock%}
{% block content %}
    <div class="container center-table">
        <div align="right">
            <a class = "btn btn-danger" href="{% url 'virtualcontest-end' %}">
             End Contest
            </a>
        </div>
        <div style="padding-top: 20px; text-align: center">
            <p style="float: left;">Global Rank - {{ post.contest.global_rank }}</p>
            <p style="display: inline;">Country Rank - {{ post.contest.country_rank }}</p>
            <p style="float: right;">Institue Rank - {{ post.contest.school_rank }}</p>

            <div style="clear: both;"></div>
        </div>
         <div style="padding-top: 0; text-align: center">
            <p style="float: left;">
                <label>User - {{ post.user }}</label>
            </p>
            <p style="display: inline;">
                <label>Total Score   -   {{ post.contest.total_score }}</label>
            </p>
            <p style="float: right;">
                Time Left: <label id="demo"></label>
            </p>
        </div>
        <div class="table-responsive" style="margin:0 auto">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th scope="col">Question No.</th>
                        <th scope="col">Question Code</th>
                        <th scope="col">Question Name</th>
                        <th scope="col">Score</th>
                        <th scope="col">Penalties</th>
                        <th scope="col">Submit</th>
                    </tr>
                </thead>
                <tbody>
                    {% for problem in problems %}
                    <tr>
                        <th scope="row">{{ forloop.counter }}</th>
                        <td><a href='#' class='problemCode' target>{{ problem.problem.problem_code }}</a></td>
                        <td>{{ problem.problem.problem_name}}</td>
                        <td>{{ problem.problem_score }}</td>
                        <td>{{ problem.problem_penalty }}</td>
                        <td>{{ problem.problem_successful_submissions }}</td>
                        <td><a href="https://www.codechef.com/submit/{{ problem.problem.problem_code }}" target="_blank ">Submit</a></td>
                    </tr>
                    {% endfor %}

                </tbody>
            </table>
        </div>
    </div>

    {% block ownscripts %}
        <script type="text/javascript">
            // Sept 23, 2018 06:00:00
            var countDownDate = new Date("Sept 23, 2019 06:00:00").getTime();
            var countDownDate = new Date("{{ post.contest.date_end.isoformat }}");
            // Update the count down every 1 second
            var x = setInterval(function() {
            // Get todays date and time
            var now = new Date().getTime();
            // Find the distance between now and the count down date
            var distance = countDownDate - now;
            // Time calculations for days, hours, minutes and seconds
            var days = Math.floor(distance / (1000 * 60 * 60 * 24));
            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            var seconds = Math.floor((distance % (1000 * 60)) / 1000);
            // Display the result in the element with id="demo"
            document.getElementById("demo").innerHTML = hours + "h "
            + minutes + "m " + seconds + "s ";
            // If the count down is finished, write some text
            if (distance < 0) {
                clearInterval(x);
                document.getElementById("demo").innerHTML = "EXPIRED";
                }
            }, 1000);

            $('.problemCode').click(function() {
                var problemCode = $(this).text()
                window.location = '/problem?code=' + problemCode;
            });
        </script>
    {% endblock %}

    <!-- <button href="{% url 'virtualcontest-dashboard' %}">End Contest</button>  -->

    <!-- <h3>Start Time - {{ post.contest.date_started }}</h3> -->
    <!-- <h3>End Time - {{ post.contest.date_end }} -->
    <!-- <h3>User - {{ post.user }}</h3> -->
    <!-- <br> -->
    <!-- <p>1 - {{ post.contest.question_one }}</p> -->
    <!-- <p>2 - {{ post.contest.question_two }}</p> -->
    <!-- <p>3 - {{ post.contest.question_three }}</p> -->
    <!-- <p>4 - {{ post.contest.question_four }}</p> -->
    <!-- <p>5 - {{ post.contest.question_five }}</p> -->
{% endblock %}
